## wget 1.25.0

=== debian/changelog ===
wget (1.25.0-2ubuntu3) questing; urgency=medium

  * d/p/wget-maybe-prepend-scheme-only-in-verbose-mode: Print message only in
    verbose mode (LP:# 2122484).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Thu, 02 Oct 2025 15:30:42 +0000

wget (1.25.0-2ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:39:36 +0000

wget (1.25.0-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111101). Remaining changes:
    - d/rules: pass --with-ssl=openssl
  * Dropped changes, as libgnutls28-dev is now required:
    - d/control: don't Build-Depend on libgnutls28-dev, only on libssl-dev

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Sun, 18 May 2025 14:46:05 -0700

wget (1.25.0-2) unstable; urgency=medium

  * Team upload (salas debian group).

  [ Shengqi Chen ]
  * d/rules:
    + rewrite with dh sequencer (thanks @shankerwangmiao for providing help).
    + add more comments.
    + remove unnecessary clean rules.
  * Support <noudeb> build profile.
  * d/watch: scan only wget 1.x releases (closes: #1011450)

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/copyright (routine-update)
  * No tab in license text (routine-update)
  * Drop automake from Build-Depends
  * Add missing ${misc:Depends} to Depends for wget-udeb.
  * Re-export upstream signing key without extra signatures.
  * Fix day-of-week for changelog entries 1.13-1, 1.9.1-11.1, 1.9.1-1, 1.9-1,
    1.8.2-2, 1.8.2-1.

 -- Shengqi Chen <harry@debian.org>  Sat, 08 Mar 2025 14:23:26 +0800

wget (1.25.0-1) unstable; urgency=medium

  * Team upload (salsa debian group).
  * New upstream version 1.25.0.
    (closes: #1088023, CVE-2024-10524, #1095109)
  * d/patches: remove applied and refresh the rest.
  * d/control:
    + bump std-ver to 4.7.2 (no changes required)
    + update Vcs fields due to being moved to debian namespace

 -- Shengqi Chen <harry@debian.org>  Sat, 01 Mar 2025 11:15:29 +0800
