=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://ftp.gnu.org/gnu/wget/ \
(?:.*[/=]|)wget-(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:[^\.].*)?
